Wondering what’s next for npm?Check out our public roadmap! »

    caniuse-es-db

    0.1.0 • Public • Published

    caniuse-es-db

    Database for ECMAScript compatibility using data from compat-table This package provides the raw test data results from compat-table without any further utilities.

    Install

    Fetch it with npm

    npm install caniuse-es-db
    

    Usage

    You can either import the entire database or selective parts grouped by ECMAScript version

    var esCompat = require('caniuse-es-db'); // entire database
    var es5Compat = require('caniuse-es-db/library/es5'); // ES5 compat database
    var es6Compat = require('caniuse-es-db/library/es6'); // ES6 compat database
    var es7Compat = require('caniuse-es-db/library/es7'); // ES7 compat database
    var esIntl = require('caniuse-es-db/library/esintl'); // ESIntl compat database
    

    Update

    The project comes with a naive update utility to fetch the latest data from compat-table

    npm run update
    

    Install

    npm i caniuse-es-db

    DownloadsWeekly Downloads

    0

    Version

    0.1.0

    License

    MIT

    Last publish

    Collaborators

    • avatar